# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: libmamba
  version: 1.4.1
source:
  sha256: 53ee26c7cf3730919cb6b40956a1fb591859ec12a037adc09da1ed390c2fdfb6
  url: https://github.com/mamba-org/mamba/archive/refs/tags/2023.03.28.tar.gz
build:
  ignore_run_exports:
    - spdlog
  number: 1
  run_exports:
    - libmamba >=1.4.1,<1.5.0a0
  string: h8c3233a_1
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.19.0 h6c40b1e_0
    - ca-certificates 2023.01.10 hecd8cb5_0
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - cmake 3.22.1 hbfa4a85_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - expat 2.4.9 he9d5cce_0
    - krb5 1.20.1 h2dd1343_0
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcurl 7.88.1 hf20ceda_1
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20221030 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libffi 3.4.4 hecd8cb5_0
    - libllvm14 14.0.6 h91fad77_3
    - libnghttp2 1.52.0 h9beae6a_0
    - libssh2 1.10.0 h04015c4_1
    - libuv 1.44.2 h6c40b1e_0
    - llvm-tools 14.0.6 he0576d7_3
    - lz4-c 1.9.4 hcec6c5f_0
    - ncurses 6.4 hcec6c5f_0
    - ninja 1.10.2 hecd8cb5_5
    - ninja-base 1.10.2 haf03e11_5
    - openssl 3.0.8 hca72f7f_0
    - python 3.11.3 hf27a42d_1
    - readline 8.2 hca72f7f_0
    - rhash 1.4.3 h04015c4_0
    - sqlite 3.41.2 h6c40b1e_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2023c h04d1e81_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
    - zstd 1.5.5 hc035e20_0
  host:
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.19.0 h6c40b1e_0
    - ca-certificates 2023.01.10 hecd8cb5_0
    - cli11 2.1.2 he9d5cce_0
    - cpp-expected 1.0.0 haf03e11_0
    - fmt 9.1.0 ha357a0b_0
    - icu 58.2 h0a44026_3
    - krb5 1.20.1 h2dd1343_0
    - libarchive 3.6.2 h29ab7a1_2
    - libcurl 7.88.1 hf20ceda_1
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20221030 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libiconv 1.16 hca72f7f_2
    - libnghttp2 1.52.0 h9beae6a_0
    - libsolv 0.7.22 h8346a28_0
    - libssh2 1.10.0 h04015c4_1
    - libxml2 2.10.3 h930c0e2_0
    - lz4-c 1.9.4 hcec6c5f_0
    - ncurses 6.4 hcec6c5f_0
    - nlohmann_json 3.11.2 hcec6c5f_0
    - openssl 3.0.8 hca72f7f_0
    - pcre2 10.37 he7042d7_1
    - reproc 14.2.4 he9d5cce_1
    - reproc-cpp 14.2.4 he9d5cce_1
    - spdlog 1.11.0 ha357a0b_0
    - xz 5.4.2 h6c40b1e_0
    - yaml-cpp 0.7.0 he9d5cce_1
    - zlib 1.2.13 h4dc903c_0
    - zstd 1.5.4 hc035e20_0
  run:
    - bzip2 >=1.0.8,<2.0a0
    - fmt >=9.1.0,<10.0a0
    - libarchive >=3.6.2,<3.7.0a0
    - libcurl >=7.88.1,<8.0a0
    - libcxx >=14.0.6
    - libsolv >=0.7.22,<0.8.0a0
    - openssl >=3.0.8,<4.0a0
    - reproc >=14.2,<15.0a0
    - reproc >=14.2.4,<15.0a0
    - reproc-cpp >=14.2,<15.0a0
    - reproc-cpp >=14.2.4,<15.0a0
    - yaml-cpp >=0.7.0,<0.8.0a0
    - zstd >=1.5.4,<1.6.0a0
test:
  commands:
    - test -d ${PREFIX}/include/mamba
    - test -f ${PREFIX}/include/mamba/version.hpp
    - test -f ${PREFIX}/lib/cmake/libmamba/libmambaConfig.cmake
    - test -f ${PREFIX}/lib/cmake/libmamba/libmambaConfigVersion.cmake
    - test -e ${PREFIX}/lib/libmamba${SHLIB_EXT}
    - cat $PREFIX/include/mamba/version.hpp | grep "LIBMAMBA_VERSION_MAJOR 1"
    - cat $PREFIX/include/mamba/version.hpp | grep "LIBMAMBA_VERSION_MINOR 4"
    - cat $PREFIX/include/mamba/version.hpp | grep "LIBMAMBA_VERSION_PATCH 1"
about:
  description: '

    [![Build Status](https://github.com/mamba-org/mamba/workflows/CI/badge.svg)](https://github.com/mamba-org/mamba/actions)

    [![Join the Gitter Chat](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/mamba-org/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

    [![docs](https://readthedocs.org/projects/mamba/badge/?version=latest&style=flat)](https://mamba.readthedocs.io/en/latest)


    `mamba` is a reimplementation of the conda package manager in C++.


    - parallel downloading of repository data and package files using multi-threading

    - libsolv for much faster dependency solving, a state of the art library used
    in the RPM package manager of Red Hat, Fedora and OpenSUSE

    - core parts of `mamba` are implemented in C++ for maximum efficiency


    At the same time, `mamba` utilizes the same command line parser, package installation
    and deinstallation code and transaction verification routines as `conda` to stay
    as compatible as possible.


    Mamba is part of a bigger ecosystem to make scientific packaging more sustainable.
    You can read our [announcement blog post](https://medium.com/@QuantStack/open-software-packaging-for-science-61cecee7fc23).

    The ecosystem also consists of `quetz`, an open source `conda` package server
    and `boa`, a fast `conda` package builder.



    Please refer to the [`mamba` and `micromamba` installation guide](https://mamba.readthedocs.io/en/latest/installation.html)
    in the documentation.



    `mamba` and `micromamba` come with features on top of stock `conda`.



    To efficiently query repositories and query package dependencies you can use `mamba
    repoquery` or `micromamba repoquery`.

    See the [repoquery documentation](https://mamba.readthedocs.io/en/latest/user_guide/mamba.html#repoquery)
    for details.



    `micromamba` can be used to install lock files generated by [conda-lock](https://conda-incubator.github.io/conda-lock/)
    without having to install `conda-lock`. Simply invoke e.g. `micromamba create
    -n my-env -f conda-lock.yml` with an environment lockfile named `*-lock.yml` or
    `*-lock.yaml`.

    '
  dev_url: https://github.com/mamba-org/mamba
  doc_url: https://mamba.readthedocs.io/
  home: https://github.com/mamba-org/mamba
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: A fast drop-in alternative to conda, using libsolv for dependency resolution
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 918082c2-5151-45c6-b2a0-b90b795a5c7e
  recipe-maintainers:
    - JohanMabille
    - SylvainCorlay
    - adriendelsalle
    - ericmjl
    - wolfv
  remote_url: git@github.com:AnacondaRecipes/mamba-feedstock.git
  sha: 8060264a8178d11aed2a35449d516b6b3d62dcc8
